STRUCT TEMPLATE (3)

NAME
boost::numeric::functional::less_base

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename Left, typename Right, typename EnableIf = void>
struct less_base : public std::binary_function< Left, Right, typeof(lvalue< Left >()< lvalue< Right >())>
{
  // public member functions
  result_type operator()(Left &, Right &) const;
};

DESCRIPTION

  less_base public member functions

    1.

    result_type operator()(Left & left, Right & right) const;

    Returns:
        left < right